# connection.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include "pqxx/connectionpolicy"`
`#include "pqxx/basic_connection"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for connection.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx

## Classes

class | pqxx::connect_direct
| Connection policy; creates an immediate connection to a database. More...
class | pqxx::connect_lazy
| Lazy connection policy; causes connection to be deferred until first use. More...
class | pqxx::connect_async
| Asynchronous connection policy; connects "in the background". More...
class | pqxx::connect_null
| Nonfunctional, always-down connection policy for debugging purposes. More...

## Typedefs

typedef basic_connection< connect_direct > | pqxx::connection
| The "standard" connection type: connect to database right now.
typedef basic_connection< connect_lazy > | pqxx::lazyconnection
| A "lazy" connection type: connect to database only when needed.
typedef basic_connection< connect_async > | pqxx::asyncconnection
| "Asynchronous" connection type: start connecting, but don't wait for it
typedef basic_connection< connect_null > | pqxx::nullconnection
| A "dummy" connection type: don't connect to any database at all.